| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csplugincommon/opengl/glcommon2d.h File Reference

Common OpenGL canvas superclass. More...

`#include <GL/gl.h>`
`#include "csextern_gl.h"`
`#include "csutil/scf.h"`
`#include "csplugincommon/canvas/graph2d.h"`
`#include "csplugincommon/iopengl/driverdb.h"`
`#include "glfontcache.h"`
`#include "iutil/event.h"`
`#include "glstates.h"`
`#include "glextmanager.h"`
`#include "glss.h"`
`#include "driverdb.h"`

Go to the source code of this file.

## Classes
class | csGraphics2DGLCommon
| Basic OpenGL version of the 2D driver class. More...
class | csGraphics2DGLCommon::csGLPixelFormatPicker

## Detailed Description

Common OpenGL canvas superclass.

Definition in file glcommon2d.h.